IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network9.252.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
9.252.0.0- Broadcast address
9.255.255.255- First usable
9.252.0.1- Last usable
9.255.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
09FC0000· Integer167510016to167772159 - Reverse DNS zones
252.9.in-addr.arpa253.9.in-addr.arpa254.9.in-addr.arpa255.9.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001001.11111100.00000000.00000000 | 9.252.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00001001.11111100.00000000.00000000 | 9.252.0.0 |
| Broadcast | 00001001.11111111.11111111.11111111 | 9.255.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
9.252.0.0/14 makes 1,024 subnets of /24; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 9.252.0.0/24 | 9.252.0.1 to 9.252.0.254 | 9.252.0.255 | 254 |
| 2 | 9.252.1.0/24 | 9.252.1.1 to 9.252.1.254 | 9.252.1.255 | 254 |
| 3 | 9.252.2.0/24 | 9.252.2.1 to 9.252.2.254 | 9.252.2.255 | 254 |
| 4 | 9.252.3.0/24 | 9.252.3.1 to 9.252.3.254 | 9.252.3.255 | 254 |
| 5 | 9.252.4.0/24 | 9.252.4.1 to 9.252.4.254 | 9.252.4.255 | 254 |
| 6 | 9.252.5.0/24 | 9.252.5.1 to 9.252.5.254 | 9.252.5.255 | 254 |
| 7 | 9.252.6.0/24 | 9.252.6.1 to 9.252.6.254 | 9.252.6.255 | 254 |
| 8 | 9.252.7.0/24 | 9.252.7.1 to 9.252.7.254 | 9.252.7.255 | 254 |
| 9 | 9.252.8.0/24 | 9.252.8.1 to 9.252.8.254 | 9.252.8.255 | 254 |
| 10 | 9.252.9.0/24 | 9.252.9.1 to 9.252.9.254 | 9.252.9.255 | 254 |
| 11 | 9.252.10.0/24 | 9.252.10.1 to 9.252.10.254 | 9.252.10.255 | 254 |
| 12 | 9.252.11.0/24 | 9.252.11.1 to 9.252.11.254 | 9.252.11.255 | 254 |
| 13 | 9.252.12.0/24 | 9.252.12.1 to 9.252.12.254 | 9.252.12.255 | 254 |
| 14 | 9.252.13.0/24 | 9.252.13.1 to 9.252.13.254 | 9.252.13.255 | 254 |
| 15 | 9.252.14.0/24 | 9.252.14.1 to 9.252.14.254 | 9.252.14.255 | 254 |
| 16 | 9.252.15.0/24 | 9.252.15.1 to 9.252.15.254 | 9.252.15.255 | 254 |
| 17 | 9.252.16.0/24 | 9.252.16.1 to 9.252.16.254 | 9.252.16.255 | 254 |
| 18 | 9.252.17.0/24 | 9.252.17.1 to 9.252.17.254 | 9.252.17.255 | 254 |
| 19 | 9.252.18.0/24 | 9.252.18.1 to 9.252.18.254 | 9.252.18.255 | 254 |
| 20 | 9.252.19.0/24 | 9.252.19.1 to 9.252.19.254 | 9.252.19.255 | 254 |
| 21 | 9.252.20.0/24 | 9.252.20.1 to 9.252.20.254 | 9.252.20.255 | 254 |
| 22 | 9.252.21.0/24 | 9.252.21.1 to 9.252.21.254 | 9.252.21.255 | 254 |
| 23 | 9.252.22.0/24 | 9.252.22.1 to 9.252.22.254 | 9.252.22.255 | 254 |
| 24 | 9.252.23.0/24 | 9.252.23.1 to 9.252.23.254 | 9.252.23.255 | 254 |
| 25 | 9.252.24.0/24 | 9.252.24.1 to 9.252.24.254 | 9.252.24.255 | 254 |
| 26 | 9.252.25.0/24 | 9.252.25.1 to 9.252.25.254 | 9.252.25.255 | 254 |
| 27 | 9.252.26.0/24 | 9.252.26.1 to 9.252.26.254 | 9.252.26.255 | 254 |
| 28 | 9.252.27.0/24 | 9.252.27.1 to 9.252.27.254 | 9.252.27.255 | 254 |
| 29 | 9.252.28.0/24 | 9.252.28.1 to 9.252.28.254 | 9.252.28.255 | 254 |
| 30 | 9.252.29.0/24 | 9.252.29.1 to 9.252.29.254 | 9.252.29.255 | 254 |
| 31 | 9.252.30.0/24 | 9.252.30.1 to 9.252.30.254 | 9.252.30.255 | 254 |
| 32 | 9.252.31.0/24 | 9.252.31.1 to 9.252.31.254 | 9.252.31.255 | 254 |
| 33 | 9.252.32.0/24 | 9.252.32.1 to 9.252.32.254 | 9.252.32.255 | 254 |
| 34 | 9.252.33.0/24 | 9.252.33.1 to 9.252.33.254 | 9.252.33.255 | 254 |
| 35 | 9.252.34.0/24 | 9.252.34.1 to 9.252.34.254 | 9.252.34.255 | 254 |
| 36 | 9.252.35.0/24 | 9.252.35.1 to 9.252.35.254 | 9.252.35.255 | 254 |
| 37 | 9.252.36.0/24 | 9.252.36.1 to 9.252.36.254 | 9.252.36.255 | 254 |
| 38 | 9.252.37.0/24 | 9.252.37.1 to 9.252.37.254 | 9.252.37.255 | 254 |
| 39 | 9.252.38.0/24 | 9.252.38.1 to 9.252.38.254 | 9.252.38.255 | 254 |
| 40 | 9.252.39.0/24 | 9.252.39.1 to 9.252.39.254 | 9.252.39.255 | 254 |
| 41 | 9.252.40.0/24 | 9.252.40.1 to 9.252.40.254 | 9.252.40.255 | 254 |
| 42 | 9.252.41.0/24 | 9.252.41.1 to 9.252.41.254 | 9.252.41.255 | 254 |
| 43 | 9.252.42.0/24 | 9.252.42.1 to 9.252.42.254 | 9.252.42.255 | 254 |
| 44 | 9.252.43.0/24 | 9.252.43.1 to 9.252.43.254 | 9.252.43.255 | 254 |
| 45 | 9.252.44.0/24 | 9.252.44.1 to 9.252.44.254 | 9.252.44.255 | 254 |
| 46 | 9.252.45.0/24 | 9.252.45.1 to 9.252.45.254 | 9.252.45.255 | 254 |
| 47 | 9.252.46.0/24 | 9.252.46.1 to 9.252.46.254 | 9.252.46.255 | 254 |
| 48 | 9.252.47.0/24 | 9.252.47.1 to 9.252.47.254 | 9.252.47.255 | 254 |
| 49 | 9.252.48.0/24 | 9.252.48.1 to 9.252.48.254 | 9.252.48.255 | 254 |
| 50 | 9.252.49.0/24 | 9.252.49.1 to 9.252.49.254 | 9.252.49.255 | 254 |
| 51 | 9.252.50.0/24 | 9.252.50.1 to 9.252.50.254 | 9.252.50.255 | 254 |
| 52 | 9.252.51.0/24 | 9.252.51.1 to 9.252.51.254 | 9.252.51.255 | 254 |
| 53 | 9.252.52.0/24 | 9.252.52.1 to 9.252.52.254 | 9.252.52.255 | 254 |
| 54 | 9.252.53.0/24 | 9.252.53.1 to 9.252.53.254 | 9.252.53.255 | 254 |
| 55 | 9.252.54.0/24 | 9.252.54.1 to 9.252.54.254 | 9.252.54.255 | 254 |
| 56 | 9.252.55.0/24 | 9.252.55.1 to 9.252.55.254 | 9.252.55.255 | 254 |
| 57 | 9.252.56.0/24 | 9.252.56.1 to 9.252.56.254 | 9.252.56.255 | 254 |
| 58 | 9.252.57.0/24 | 9.252.57.1 to 9.252.57.254 | 9.252.57.255 | 254 |
| 59 | 9.252.58.0/24 | 9.252.58.1 to 9.252.58.254 | 9.252.58.255 | 254 |
| 60 | 9.252.59.0/24 | 9.252.59.1 to 9.252.59.254 | 9.252.59.255 | 254 |
| 61 | 9.252.60.0/24 | 9.252.60.1 to 9.252.60.254 | 9.252.60.255 | 254 |
| 62 | 9.252.61.0/24 | 9.252.61.1 to 9.252.61.254 | 9.252.61.255 | 254 |
| 63 | 9.252.62.0/24 | 9.252.62.1 to 9.252.62.254 | 9.252.62.255 | 254 |
| 64 | 9.252.63.0/24 | 9.252.63.1 to 9.252.63.254 | 9.252.63.255 | 254 |
| 65 | 9.252.64.0/24 | 9.252.64.1 to 9.252.64.254 | 9.252.64.255 | 254 |
| 66 | 9.252.65.0/24 | 9.252.65.1 to 9.252.65.254 | 9.252.65.255 | 254 |
| 67 | 9.252.66.0/24 | 9.252.66.1 to 9.252.66.254 | 9.252.66.255 | 254 |
| 68 | 9.252.67.0/24 | 9.252.67.1 to 9.252.67.254 | 9.252.67.255 | 254 |
| 69 | 9.252.68.0/24 | 9.252.68.1 to 9.252.68.254 | 9.252.68.255 | 254 |
| 70 | 9.252.69.0/24 | 9.252.69.1 to 9.252.69.254 | 9.252.69.255 | 254 |
| 71 | 9.252.70.0/24 | 9.252.70.1 to 9.252.70.254 | 9.252.70.255 | 254 |
| 72 | 9.252.71.0/24 | 9.252.71.1 to 9.252.71.254 | 9.252.71.255 | 254 |
| 73 | 9.252.72.0/24 | 9.252.72.1 to 9.252.72.254 | 9.252.72.255 | 254 |
| 74 | 9.252.73.0/24 | 9.252.73.1 to 9.252.73.254 | 9.252.73.255 | 254 |
| 75 | 9.252.74.0/24 | 9.252.74.1 to 9.252.74.254 | 9.252.74.255 | 254 |
| 76 | 9.252.75.0/24 | 9.252.75.1 to 9.252.75.254 | 9.252.75.255 | 254 |
| 77 | 9.252.76.0/24 | 9.252.76.1 to 9.252.76.254 | 9.252.76.255 | 254 |
| 78 | 9.252.77.0/24 | 9.252.77.1 to 9.252.77.254 | 9.252.77.255 | 254 |
| 79 | 9.252.78.0/24 | 9.252.78.1 to 9.252.78.254 | 9.252.78.255 | 254 |
| 80 | 9.252.79.0/24 | 9.252.79.1 to 9.252.79.254 | 9.252.79.255 | 254 |
| 81 | 9.252.80.0/24 | 9.252.80.1 to 9.252.80.254 | 9.252.80.255 | 254 |
| 82 | 9.252.81.0/24 | 9.252.81.1 to 9.252.81.254 | 9.252.81.255 | 254 |
| 83 | 9.252.82.0/24 | 9.252.82.1 to 9.252.82.254 | 9.252.82.255 | 254 |
| 84 | 9.252.83.0/24 | 9.252.83.1 to 9.252.83.254 | 9.252.83.255 | 254 |
| 85 | 9.252.84.0/24 | 9.252.84.1 to 9.252.84.254 | 9.252.84.255 | 254 |
| 86 | 9.252.85.0/24 | 9.252.85.1 to 9.252.85.254 | 9.252.85.255 | 254 |
| 87 | 9.252.86.0/24 | 9.252.86.1 to 9.252.86.254 | 9.252.86.255 | 254 |
| 88 | 9.252.87.0/24 | 9.252.87.1 to 9.252.87.254 | 9.252.87.255 | 254 |
| 89 | 9.252.88.0/24 | 9.252.88.1 to 9.252.88.254 | 9.252.88.255 | 254 |
| 90 | 9.252.89.0/24 | 9.252.89.1 to 9.252.89.254 | 9.252.89.255 | 254 |
| 91 | 9.252.90.0/24 | 9.252.90.1 to 9.252.90.254 | 9.252.90.255 | 254 |
| 92 | 9.252.91.0/24 | 9.252.91.1 to 9.252.91.254 | 9.252.91.255 | 254 |
| 93 | 9.252.92.0/24 | 9.252.92.1 to 9.252.92.254 | 9.252.92.255 | 254 |
| 94 | 9.252.93.0/24 | 9.252.93.1 to 9.252.93.254 | 9.252.93.255 | 254 |
| 95 | 9.252.94.0/24 | 9.252.94.1 to 9.252.94.254 | 9.252.94.255 | 254 |
| 96 | 9.252.95.0/24 | 9.252.95.1 to 9.252.95.254 | 9.252.95.255 | 254 |
| 97 | 9.252.96.0/24 | 9.252.96.1 to 9.252.96.254 | 9.252.96.255 | 254 |
| 98 | 9.252.97.0/24 | 9.252.97.1 to 9.252.97.254 | 9.252.97.255 | 254 |
| 99 | 9.252.98.0/24 | 9.252.98.1 to 9.252.98.254 | 9.252.98.255 | 254 |
| 100 | 9.252.99.0/24 | 9.252.99.1 to 9.252.99.254 | 9.252.99.255 | 254 |
| 101 | 9.252.100.0/24 | 9.252.100.1 to 9.252.100.254 | 9.252.100.255 | 254 |
| 102 | 9.252.101.0/24 | 9.252.101.1 to 9.252.101.254 | 9.252.101.255 | 254 |
| 103 | 9.252.102.0/24 | 9.252.102.1 to 9.252.102.254 | 9.252.102.255 | 254 |
| 104 | 9.252.103.0/24 | 9.252.103.1 to 9.252.103.254 | 9.252.103.255 | 254 |
| 105 | 9.252.104.0/24 | 9.252.104.1 to 9.252.104.254 | 9.252.104.255 | 254 |
| 106 | 9.252.105.0/24 | 9.252.105.1 to 9.252.105.254 | 9.252.105.255 | 254 |
| 107 | 9.252.106.0/24 | 9.252.106.1 to 9.252.106.254 | 9.252.106.255 | 254 |
| 108 | 9.252.107.0/24 | 9.252.107.1 to 9.252.107.254 | 9.252.107.255 | 254 |
| 109 | 9.252.108.0/24 | 9.252.108.1 to 9.252.108.254 | 9.252.108.255 | 254 |
| 110 | 9.252.109.0/24 | 9.252.109.1 to 9.252.109.254 | 9.252.109.255 | 254 |
| 111 | 9.252.110.0/24 | 9.252.110.1 to 9.252.110.254 | 9.252.110.255 | 254 |
| 112 | 9.252.111.0/24 | 9.252.111.1 to 9.252.111.254 | 9.252.111.255 | 254 |
| 113 | 9.252.112.0/24 | 9.252.112.1 to 9.252.112.254 | 9.252.112.255 | 254 |
| 114 | 9.252.113.0/24 | 9.252.113.1 to 9.252.113.254 | 9.252.113.255 | 254 |
| 115 | 9.252.114.0/24 | 9.252.114.1 to 9.252.114.254 | 9.252.114.255 | 254 |
| 116 | 9.252.115.0/24 | 9.252.115.1 to 9.252.115.254 | 9.252.115.255 | 254 |
| 117 | 9.252.116.0/24 | 9.252.116.1 to 9.252.116.254 | 9.252.116.255 | 254 |
| 118 | 9.252.117.0/24 | 9.252.117.1 to 9.252.117.254 | 9.252.117.255 | 254 |
| 119 | 9.252.118.0/24 | 9.252.118.1 to 9.252.118.254 | 9.252.118.255 | 254 |
| 120 | 9.252.119.0/24 | 9.252.119.1 to 9.252.119.254 | 9.252.119.255 | 254 |
| 121 | 9.252.120.0/24 | 9.252.120.1 to 9.252.120.254 | 9.252.120.255 | 254 |
| 122 | 9.252.121.0/24 | 9.252.121.1 to 9.252.121.254 | 9.252.121.255 | 254 |
| 123 | 9.252.122.0/24 | 9.252.122.1 to 9.252.122.254 | 9.252.122.255 | 254 |
| 124 | 9.252.123.0/24 | 9.252.123.1 to 9.252.123.254 | 9.252.123.255 | 254 |
| 125 | 9.252.124.0/24 | 9.252.124.1 to 9.252.124.254 | 9.252.124.255 | 254 |
| 126 | 9.252.125.0/24 | 9.252.125.1 to 9.252.125.254 | 9.252.125.255 | 254 |
| 127 | 9.252.126.0/24 | 9.252.126.1 to 9.252.126.254 | 9.252.126.255 | 254 |
| 128 | 9.252.127.0/24 | 9.252.127.1 to 9.252.127.254 | 9.252.127.255 | 254 |
| 129 | 9.252.128.0/24 | 9.252.128.1 to 9.252.128.254 | 9.252.128.255 | 254 |
| 130 | 9.252.129.0/24 | 9.252.129.1 to 9.252.129.254 | 9.252.129.255 | 254 |
| 131 | 9.252.130.0/24 | 9.252.130.1 to 9.252.130.254 | 9.252.130.255 | 254 |
| 132 | 9.252.131.0/24 | 9.252.131.1 to 9.252.131.254 | 9.252.131.255 | 254 |
| 133 | 9.252.132.0/24 | 9.252.132.1 to 9.252.132.254 | 9.252.132.255 | 254 |
| 134 | 9.252.133.0/24 | 9.252.133.1 to 9.252.133.254 | 9.252.133.255 | 254 |
| 135 | 9.252.134.0/24 | 9.252.134.1 to 9.252.134.254 | 9.252.134.255 | 254 |
| 136 | 9.252.135.0/24 | 9.252.135.1 to 9.252.135.254 | 9.252.135.255 | 254 |
| 137 | 9.252.136.0/24 | 9.252.136.1 to 9.252.136.254 | 9.252.136.255 | 254 |
| 138 | 9.252.137.0/24 | 9.252.137.1 to 9.252.137.254 | 9.252.137.255 | 254 |
| 139 | 9.252.138.0/24 | 9.252.138.1 to 9.252.138.254 | 9.252.138.255 | 254 |
| 140 | 9.252.139.0/24 | 9.252.139.1 to 9.252.139.254 | 9.252.139.255 | 254 |
| 141 | 9.252.140.0/24 | 9.252.140.1 to 9.252.140.254 | 9.252.140.255 | 254 |
| 142 | 9.252.141.0/24 | 9.252.141.1 to 9.252.141.254 | 9.252.141.255 | 254 |
| 143 | 9.252.142.0/24 | 9.252.142.1 to 9.252.142.254 | 9.252.142.255 | 254 |
| 144 | 9.252.143.0/24 | 9.252.143.1 to 9.252.143.254 | 9.252.143.255 | 254 |
| 145 | 9.252.144.0/24 | 9.252.144.1 to 9.252.144.254 | 9.252.144.255 | 254 |
| 146 | 9.252.145.0/24 | 9.252.145.1 to 9.252.145.254 | 9.252.145.255 | 254 |
| 147 | 9.252.146.0/24 | 9.252.146.1 to 9.252.146.254 | 9.252.146.255 | 254 |
| 148 | 9.252.147.0/24 | 9.252.147.1 to 9.252.147.254 | 9.252.147.255 | 254 |
| 149 | 9.252.148.0/24 | 9.252.148.1 to 9.252.148.254 | 9.252.148.255 | 254 |
| 150 | 9.252.149.0/24 | 9.252.149.1 to 9.252.149.254 | 9.252.149.255 | 254 |
| 151 | 9.252.150.0/24 | 9.252.150.1 to 9.252.150.254 | 9.252.150.255 | 254 |
| 152 | 9.252.151.0/24 | 9.252.151.1 to 9.252.151.254 | 9.252.151.255 | 254 |
| 153 | 9.252.152.0/24 | 9.252.152.1 to 9.252.152.254 | 9.252.152.255 | 254 |
| 154 | 9.252.153.0/24 | 9.252.153.1 to 9.252.153.254 | 9.252.153.255 | 254 |
| 155 | 9.252.154.0/24 | 9.252.154.1 to 9.252.154.254 | 9.252.154.255 | 254 |
| 156 | 9.252.155.0/24 | 9.252.155.1 to 9.252.155.254 | 9.252.155.255 | 254 |
| 157 | 9.252.156.0/24 | 9.252.156.1 to 9.252.156.254 | 9.252.156.255 | 254 |
| 158 | 9.252.157.0/24 | 9.252.157.1 to 9.252.157.254 | 9.252.157.255 | 254 |
| 159 | 9.252.158.0/24 | 9.252.158.1 to 9.252.158.254 | 9.252.158.255 | 254 |
| 160 | 9.252.159.0/24 | 9.252.159.1 to 9.252.159.254 | 9.252.159.255 | 254 |
| 161 | 9.252.160.0/24 | 9.252.160.1 to 9.252.160.254 | 9.252.160.255 | 254 |
| 162 | 9.252.161.0/24 | 9.252.161.1 to 9.252.161.254 | 9.252.161.255 | 254 |
| 163 | 9.252.162.0/24 | 9.252.162.1 to 9.252.162.254 | 9.252.162.255 | 254 |
| 164 | 9.252.163.0/24 | 9.252.163.1 to 9.252.163.254 | 9.252.163.255 | 254 |
| 165 | 9.252.164.0/24 | 9.252.164.1 to 9.252.164.254 | 9.252.164.255 | 254 |
| 166 | 9.252.165.0/24 | 9.252.165.1 to 9.252.165.254 | 9.252.165.255 | 254 |
| 167 | 9.252.166.0/24 | 9.252.166.1 to 9.252.166.254 | 9.252.166.255 | 254 |
| 168 | 9.252.167.0/24 | 9.252.167.1 to 9.252.167.254 | 9.252.167.255 | 254 |
| 169 | 9.252.168.0/24 | 9.252.168.1 to 9.252.168.254 | 9.252.168.255 | 254 |
| 170 | 9.252.169.0/24 | 9.252.169.1 to 9.252.169.254 | 9.252.169.255 | 254 |
| 171 | 9.252.170.0/24 | 9.252.170.1 to 9.252.170.254 | 9.252.170.255 | 254 |
| 172 | 9.252.171.0/24 | 9.252.171.1 to 9.252.171.254 | 9.252.171.255 | 254 |
| 173 | 9.252.172.0/24 | 9.252.172.1 to 9.252.172.254 | 9.252.172.255 | 254 |
| 174 | 9.252.173.0/24 | 9.252.173.1 to 9.252.173.254 | 9.252.173.255 | 254 |
| 175 | 9.252.174.0/24 | 9.252.174.1 to 9.252.174.254 | 9.252.174.255 | 254 |
| 176 | 9.252.175.0/24 | 9.252.175.1 to 9.252.175.254 | 9.252.175.255 | 254 |
| 177 | 9.252.176.0/24 | 9.252.176.1 to 9.252.176.254 | 9.252.176.255 | 254 |
| 178 | 9.252.177.0/24 | 9.252.177.1 to 9.252.177.254 | 9.252.177.255 | 254 |
| 179 | 9.252.178.0/24 | 9.252.178.1 to 9.252.178.254 | 9.252.178.255 | 254 |
| 180 | 9.252.179.0/24 | 9.252.179.1 to 9.252.179.254 | 9.252.179.255 | 254 |
| 181 | 9.252.180.0/24 | 9.252.180.1 to 9.252.180.254 | 9.252.180.255 | 254 |
| 182 | 9.252.181.0/24 | 9.252.181.1 to 9.252.181.254 | 9.252.181.255 | 254 |
| 183 | 9.252.182.0/24 | 9.252.182.1 to 9.252.182.254 | 9.252.182.255 | 254 |
| 184 | 9.252.183.0/24 | 9.252.183.1 to 9.252.183.254 | 9.252.183.255 | 254 |
| 185 | 9.252.184.0/24 | 9.252.184.1 to 9.252.184.254 | 9.252.184.255 | 254 |
| 186 | 9.252.185.0/24 | 9.252.185.1 to 9.252.185.254 | 9.252.185.255 | 254 |
| 187 | 9.252.186.0/24 | 9.252.186.1 to 9.252.186.254 | 9.252.186.255 | 254 |
| 188 | 9.252.187.0/24 | 9.252.187.1 to 9.252.187.254 | 9.252.187.255 | 254 |
| 189 | 9.252.188.0/24 | 9.252.188.1 to 9.252.188.254 | 9.252.188.255 | 254 |
| 190 | 9.252.189.0/24 | 9.252.189.1 to 9.252.189.254 | 9.252.189.255 | 254 |
| 191 | 9.252.190.0/24 | 9.252.190.1 to 9.252.190.254 | 9.252.190.255 | 254 |
| 192 | 9.252.191.0/24 | 9.252.191.1 to 9.252.191.254 | 9.252.191.255 | 254 |
| 193 | 9.252.192.0/24 | 9.252.192.1 to 9.252.192.254 | 9.252.192.255 | 254 |
| 194 | 9.252.193.0/24 | 9.252.193.1 to 9.252.193.254 | 9.252.193.255 | 254 |
| 195 | 9.252.194.0/24 | 9.252.194.1 to 9.252.194.254 | 9.252.194.255 | 254 |
| 196 | 9.252.195.0/24 | 9.252.195.1 to 9.252.195.254 | 9.252.195.255 | 254 |
| 197 | 9.252.196.0/24 | 9.252.196.1 to 9.252.196.254 | 9.252.196.255 | 254 |
| 198 | 9.252.197.0/24 | 9.252.197.1 to 9.252.197.254 | 9.252.197.255 | 254 |
| 199 | 9.252.198.0/24 | 9.252.198.1 to 9.252.198.254 | 9.252.198.255 | 254 |
| 200 | 9.252.199.0/24 | 9.252.199.1 to 9.252.199.254 | 9.252.199.255 | 254 |
| 201 | 9.252.200.0/24 | 9.252.200.1 to 9.252.200.254 | 9.252.200.255 | 254 |
| 202 | 9.252.201.0/24 | 9.252.201.1 to 9.252.201.254 | 9.252.201.255 | 254 |
| 203 | 9.252.202.0/24 | 9.252.202.1 to 9.252.202.254 | 9.252.202.255 | 254 |
| 204 | 9.252.203.0/24 | 9.252.203.1 to 9.252.203.254 | 9.252.203.255 | 254 |
| 205 | 9.252.204.0/24 | 9.252.204.1 to 9.252.204.254 | 9.252.204.255 | 254 |
| 206 | 9.252.205.0/24 | 9.252.205.1 to 9.252.205.254 | 9.252.205.255 | 254 |
| 207 | 9.252.206.0/24 | 9.252.206.1 to 9.252.206.254 | 9.252.206.255 | 254 |
| 208 | 9.252.207.0/24 | 9.252.207.1 to 9.252.207.254 | 9.252.207.255 | 254 |
| 209 | 9.252.208.0/24 | 9.252.208.1 to 9.252.208.254 | 9.252.208.255 | 254 |
| 210 | 9.252.209.0/24 | 9.252.209.1 to 9.252.209.254 | 9.252.209.255 | 254 |
| 211 | 9.252.210.0/24 | 9.252.210.1 to 9.252.210.254 | 9.252.210.255 | 254 |
| 212 | 9.252.211.0/24 | 9.252.211.1 to 9.252.211.254 | 9.252.211.255 | 254 |
| 213 | 9.252.212.0/24 | 9.252.212.1 to 9.252.212.254 | 9.252.212.255 | 254 |
| 214 | 9.252.213.0/24 | 9.252.213.1 to 9.252.213.254 | 9.252.213.255 | 254 |
| 215 | 9.252.214.0/24 | 9.252.214.1 to 9.252.214.254 | 9.252.214.255 | 254 |
| 216 | 9.252.215.0/24 | 9.252.215.1 to 9.252.215.254 | 9.252.215.255 | 254 |
| 217 | 9.252.216.0/24 | 9.252.216.1 to 9.252.216.254 | 9.252.216.255 | 254 |
| 218 | 9.252.217.0/24 | 9.252.217.1 to 9.252.217.254 | 9.252.217.255 | 254 |
| 219 | 9.252.218.0/24 | 9.252.218.1 to 9.252.218.254 | 9.252.218.255 | 254 |
| 220 | 9.252.219.0/24 | 9.252.219.1 to 9.252.219.254 | 9.252.219.255 | 254 |
| 221 | 9.252.220.0/24 | 9.252.220.1 to 9.252.220.254 | 9.252.220.255 | 254 |
| 222 | 9.252.221.0/24 | 9.252.221.1 to 9.252.221.254 | 9.252.221.255 | 254 |
| 223 | 9.252.222.0/24 | 9.252.222.1 to 9.252.222.254 | 9.252.222.255 | 254 |
| 224 | 9.252.223.0/24 | 9.252.223.1 to 9.252.223.254 | 9.252.223.255 | 254 |
| 225 | 9.252.224.0/24 | 9.252.224.1 to 9.252.224.254 | 9.252.224.255 | 254 |
| 226 | 9.252.225.0/24 | 9.252.225.1 to 9.252.225.254 | 9.252.225.255 | 254 |
| 227 | 9.252.226.0/24 | 9.252.226.1 to 9.252.226.254 | 9.252.226.255 | 254 |
| 228 | 9.252.227.0/24 | 9.252.227.1 to 9.252.227.254 | 9.252.227.255 | 254 |
| 229 | 9.252.228.0/24 | 9.252.228.1 to 9.252.228.254 | 9.252.228.255 | 254 |
| 230 | 9.252.229.0/24 | 9.252.229.1 to 9.252.229.254 | 9.252.229.255 | 254 |
| 231 | 9.252.230.0/24 | 9.252.230.1 to 9.252.230.254 | 9.252.230.255 | 254 |
| 232 | 9.252.231.0/24 | 9.252.231.1 to 9.252.231.254 | 9.252.231.255 | 254 |
| 233 | 9.252.232.0/24 | 9.252.232.1 to 9.252.232.254 | 9.252.232.255 | 254 |
| 234 | 9.252.233.0/24 | 9.252.233.1 to 9.252.233.254 | 9.252.233.255 | 254 |
| 235 | 9.252.234.0/24 | 9.252.234.1 to 9.252.234.254 | 9.252.234.255 | 254 |
| 236 | 9.252.235.0/24 | 9.252.235.1 to 9.252.235.254 | 9.252.235.255 | 254 |
| 237 | 9.252.236.0/24 | 9.252.236.1 to 9.252.236.254 | 9.252.236.255 | 254 |
| 238 | 9.252.237.0/24 | 9.252.237.1 to 9.252.237.254 | 9.252.237.255 | 254 |
| 239 | 9.252.238.0/24 | 9.252.238.1 to 9.252.238.254 | 9.252.238.255 | 254 |
| 240 | 9.252.239.0/24 | 9.252.239.1 to 9.252.239.254 | 9.252.239.255 | 254 |
| 241 | 9.252.240.0/24 | 9.252.240.1 to 9.252.240.254 | 9.252.240.255 | 254 |
| 242 | 9.252.241.0/24 | 9.252.241.1 to 9.252.241.254 | 9.252.241.255 | 254 |
| 243 | 9.252.242.0/24 | 9.252.242.1 to 9.252.242.254 | 9.252.242.255 | 254 |
| 244 | 9.252.243.0/24 | 9.252.243.1 to 9.252.243.254 | 9.252.243.255 | 254 |
| 245 | 9.252.244.0/24 | 9.252.244.1 to 9.252.244.254 | 9.252.244.255 | 254 |
| 246 | 9.252.245.0/24 | 9.252.245.1 to 9.252.245.254 | 9.252.245.255 | 254 |
| 247 | 9.252.246.0/24 | 9.252.246.1 to 9.252.246.254 | 9.252.246.255 | 254 |
| 248 | 9.252.247.0/24 | 9.252.247.1 to 9.252.247.254 | 9.252.247.255 | 254 |
| 249 | 9.252.248.0/24 | 9.252.248.1 to 9.252.248.254 | 9.252.248.255 | 254 |
| 250 | 9.252.249.0/24 | 9.252.249.1 to 9.252.249.254 | 9.252.249.255 | 254 |
| 251 | 9.252.250.0/24 | 9.252.250.1 to 9.252.250.254 | 9.252.250.255 | 254 |
| 252 | 9.252.251.0/24 | 9.252.251.1 to 9.252.251.254 | 9.252.251.255 | 254 |
| 253 | 9.252.252.0/24 | 9.252.252.1 to 9.252.252.254 | 9.252.252.255 | 254 |
| 254 | 9.252.253.0/24 | 9.252.253.1 to 9.252.253.254 | 9.252.253.255 | 254 |
| 255 | 9.252.254.0/24 | 9.252.254.1 to 9.252.254.254 | 9.252.254.255 | 254 |
| 256 | 9.252.255.0/24 | 9.252.255.1 to 9.252.255.254 | 9.252.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |